## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
# * tests can only be run in-tree
%bcond check 0
%global debug_package %{nil}

%global crate cxx

Name:           rust-cxx
Version:        1.0.136
Release:        %autorelease
Summary:        Safe interop between Rust and C++

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cxx
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop dependency hack for executable-only cxxbridge-cmd crate
# * exclude files that are only needed for integration in bazel or buck
# * exclude unused docs sources
Patch:          cxx-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe interop between Rust and C++.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/compile_flags.txt
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c++14-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c++14-devel %{_description}

This package contains library source intended for building other packages which
use the "c++14" feature of the "%{crate}" crate.

%files       -n %{name}+c++14-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c++17-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c++17-devel %{_description}

This package contains library source intended for building other packages which
use the "c++17" feature of the "%{crate}" crate.

%files       -n %{name}+c++17-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+c++20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+c++20-devel %{_description}

This package contains library source intended for building other packages which
use the "c++20" feature of the "%{crate}" crate.

%files       -n %{name}+c++20-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jan 04 2025 Fabio Valentini <decathorpe@gmail.com> - 1.0.136-1
- Update to version 1.0.136; Fixes RHBZ#2332728

* Mon Dec 16 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.134-1
- Update to version 1.0.134; Fixes RHBZ#2331731

* Sun Dec 01 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.133-1
- Update to version 1.0.133; Fixes RHBZ#2325400

* Tue Oct 22 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.129-1
- Update to version 1.0.129; Fixes RHBZ#2318685

* Tue Sep 03 2024 Jan Staněk <jstanek@redhat.com> - 1.0.128-1
- Update to version 1.0.128 (rhbz#2309026)

* Fri Aug 16 2024 Jan Staněk <jstanek@redhat.com> - 1.0.126-1
- Update to version 1.0.126 (rhbz#2305007)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.124-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Jan Staněk <jstanek@redhat.com> - 1.0.124-1
- Update to version 1.0.124 (rhbz#2292438)

* Wed Jun 05 2024 Jan Staněk <jstanek@redhat.com> - 1.0.123-1
- Update to version 1.0.123 (rhbz#2290521)

* Tue Apr 09 2024 Jan Staněk <jstanek@redhat.com> - 1.0.121-1
- Update to version 1.0.121 (rhbz#2274052)

* Tue Mar 26 2024 Jan Staněk <jstanek@redhat.com> - 1.0.120-1
- Update to version 1.0.120 (rhbz#2271158)

* Thu Mar 14 2024 Jan Staněk <jstanek@redhat.com> - 1.0.119-1
- Update to version 1.0.119 (rhbz#2266707)

* Tue Mar 12 2024 Jan Staněk <jstanek@redhat.com> - 1.0.118-1
- Update to version 1.0.118 (rhbz#2266707)

* Tue Feb 20 2024 Jan Staněk <jstanek@redhat.com> - 1.0.117-1
- Update to version 1.0.117 (rhbz#2265022)

* Wed Feb 14 2024 Jan Staněk <jstanek@redhat.com> - 1.0.116-1
- Update to version 1.0.116 (rhbz#2263606)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.115-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 09 2024 Jan Staněk <jstanek@redhat.com> - 1.0.115-1
- Update to version 1.0.115 (rhbz#2257014)

* Wed Jan 03 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.114-1
- Update to version 1.0.114; Fixes RHBZ#2254857

* Tue Oct 31 2023 Jan Staněk <jstanek@redhat.com> - 1.0.110-1
- update to version 1.0.110 (rhbz#2246683)

* Tue Oct 17 2023 Jan Staněk <jstanek@redhat.com> - 1.0.109-1
- Update to version 1.0.109 (rhbz#2242977)

* Tue Sep 19 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.107-1
- Update to version 1.0.107; Fixes RHBZ#2235878

* Sat Aug 26 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.106-1
- Update to version 1.0.106; Fixes RHBZ#2229431

* Thu Aug 17 2023 Jan Staněk <jstanek@redhat.com> - 1.0.105-1
- Update to version 1.0.105 (rhbz#2229431)

* Tue Aug 01 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.102-1
- Update to version 1.0.102; Fixes RHBZ#2223497

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.100-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 11 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.100-1
- Update to version 1.0.100; Fixes RHBZ#2219890

* Thu Jun 15 2023 Jan Staněk <jstanek@redhat.com> - 1.0.97-1
- Update to version 1.0.97 (rhbz#2215177)

* Fri May 26 2023 Jan Staněk <jstanek@redhat.com> - 1.0.95-1
- Update to version 1.0.95

* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.94-1
- Update to version 1.0.94; Fixes RHBZ#2179490

* Thu Mar 16 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.92-1
- Update to version 1.0.92; Fixes RHBZ#2175586

* Tue Feb 28 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.91-1
- Update to version 1.0.91; Fixes RHBZ#2169024

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.89-1
- Update to version 1.0.89; Fixes RHBZ#2166469

* Fri Jan 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.88-1
- Update to version 1.0.88; Fixes RHBZ#2159021

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.85-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 06 2023 Jan Staněk <jstanek@redhat.com> - 1.0.85-2
- Remove executable bit from CI files

* Fri Jan 06 2023 Jan Staněk <jstanek@redhat.com> - 1.0.85-1
- Update to version 1.0.85; Fixes RHBZ#2154559

* Sun Dec 11 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.83-1
- Update to version 1.0.83; Fixes RHBZ#2135081

* Sat Oct 08 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.78-1
- Update to version 1.0.78; Fixes RHBZ#2128066

* Tue Sep 06 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.75-1
- Update to version 1.0.75; Fixes RHBZ#2122833

* Tue Aug 02 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.73-1
- Update to version 1.0.73; Fixes RHBZ#2113788

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.72-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Jul 17 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.72-1
- Update to version 1.0.72; Fixes RHBZ#2107878

* Thu Jul 07 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.71-1
- Update to version 1.0.71; Fixes RHBZ#2098329

* Sat May 14 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.68-1
- Update to version 1.0.68; Fixes RHBZ#2086123

* Thu Apr 28 2022 Jan Staněk <jstanek@redhat.com> - 1.0.67-1
- Update to version 1.0.67

* Thu Mar 10 2022 Jan Staněk <jstanek@redhat.com> - 1.0.66-1
- update to version 1.0.66

* Thu Feb 17 2022 Jan Staněk <jstanek@redhat.com> - 1.0.65-1
- Update to version 1.0.65

* Thu Feb 03 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.64-1
- Update to version 1.0.64; Fixes RHBZ#2048312

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.63-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 20 2022 Jan Staněk <jstanek@redhat.com> - 1.0.63-1
- Update to version 1.0.63

* Wed Jan 05 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.62-1
- Update to version 1.0.62; Fixes RHBZ#2036405

* Tue Dec 14 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.60-2
- Regenerate with rust2rpm to add missing feature subpackages

* Mon Dec 13 2021 Jan Staněk <jstanek@redhat.com> - 1.0.60-1
- Update to version 1.0.60

* Wed Dec 01 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.57-1
- Update to version 1.0.57; Fixes RHBZ#2027986

* Mon Oct 11 2021 Jan Staněk <jstanek@redhat.com> - 1.0.56-1
- Update to version 1.0.56

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.49-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 21 2021 Jan Staněk <jstanek@redhat.com> - 1.0.49-1
- Update to release 1.0.49

* Thu Feb 11 2021 Jan Staněk <jstanek@redhat.com> - 0.5.10-2
- Mark license files

* Mon Feb 01 14:28:48 CET 2021 Jan Staněk <jstanek@redhat.com> - 0.5.10-1
- Initial package
- Manually specify provides for c++XY features (https://pagure.io/fedora-rust/rust2rpm/pull-request/123)

## END: Generated by rpmautospec
